Qt 5.8 | Qt 3D | C++ Classes | QRenderTargetOutput

Qt 5.8.0 Reference Documentation

# QRenderTargetOutput Class

(Qt3DRender::QRenderTargetOutput)

The QRenderTargetOutput class allows the specification of an attachment of a render target (whether it is a color texture, a depth texture, etc... ). More...

Header: | #include <QRenderTargetOutput>
qmake: | QT += 3drender
Since: | Qt 5.7
Instantiated By: | RenderTargetOutput
Inherits: | Qt3DCore::QNode

- List of all members, including inherited members

## Public Types

enum | AttachmentPoint { Color0, Color1, Color2, Color3, ..., DepthStencil }

## Properties

- attachmentPoint : AttachmentPoint
- face : Qt3DRender::QAbstractTexture::CubeMapFace
- layer : int

- mipLevel : int
- texture : QAbstractTexture *

- 2 properties inherited from Qt3DCore::QNode

## Public Functions

| QRenderTargetOutput(Qt3DCore::QNode *parent = nullptr)
AttachmentPoint | attachmentPoint() const
QAbstractTexture::CubeMapFace | face() const
int | layer() const
int | mipLevel() const
QAbstractTexture * | texture() const

- 6 public functions inherited from Qt3DCore::QNode

## Public Slots

void | setAttachmentPoint(AttachmentPoint attachmentPoint)
void | setFace(QAbstractTexture::CubeMapFace face)
void | setLayer(int layer)
void | setMipLevel(int level)
void | setTexture(QAbstractTexture *texture)

- 2 public slots inherited from Qt3DCore::QNode

## Signals

void | attachmentPointChanged(AttachmentPoint attachmentPoint)
void | faceChanged(QAbstractTexture::CubeMapFace face)
void | layerChanged(int layer)
void | mipLevelChanged(int mipLevel)
void | textureChanged(QAbstractTexture *texture)

- 3 signals inherited from Qt3DCore::QNode

## Protected Functions

| QRenderTargetOutput(QRenderTargetOutputPrivate &dd, Qt3DCore::QNode *parent = nullptr)

- 2 protected functions inherited from Qt3DCore::QNode

## Detailed Description

The QRenderTargetOutput class allows the specification of an attachment of a render target (whether it is a color texture, a depth texture, etc... ).

A QRenderTargetOutput specifies the attachment point and parameters for texture that is attached to render target. In addition to the attachment point, texture miplevel, layer and cubemap face can be specified. The texture attached to the QRenderTargetOutput must be compatible with the given parameters.

## Member Type Documentation

### enum QRenderTargetOutput::AttachmentPoint

This enumeration specifies the values for the attachment point.

Constant | Value | Description
--- | --- | ---
`Qt3DRender::QRenderTargetOutput::Color0` | `0` | Color attachment point at index 0
`Qt3DRender::QRenderTargetOutput::Color1` | `1` | Color attachment point at index 1
`Qt3DRender::QRenderTargetOutput::Color2` | `2` | Color attachment point at index 2
`Qt3DRender::QRenderTargetOutput::Color3` | `3` | Color attachment point at index 3
`Qt3DRender::QRenderTargetOutput::Color4` | `4` | Color attachment point at index 4
`Qt3DRender::QRenderTargetOutput::Color5` | `5` | Color attachment point at index 5
`Qt3DRender::QRenderTargetOutput::Color6` | `6` | Color attachment point at index 6
`Qt3DRender::QRenderTargetOutput::Color7` | `7` | Color attachment point at index 7
`Qt3DRender::QRenderTargetOutput::Color8` | `8` | Color attachment point at index 8
`Qt3DRender::QRenderTargetOutput::Color9` | `9` | Color attachment point at index 9
`Qt3DRender::QRenderTargetOutput::Color10` | `10` | Color attachment point at index 10
`Qt3DRender::QRenderTargetOutput::Color11` | `11` | Color attachment point at index 11
`Qt3DRender::QRenderTargetOutput::Color12` | `12` | Color attachment point at index 12
`Qt3DRender::QRenderTargetOutput::Color13` | `13` | Color attachment point at index 13
`Qt3DRender::QRenderTargetOutput::Color14` | `14` | Color attachment point at index 14
`Qt3DRender::QRenderTargetOutput::Color15` | `15` | Color attachment point at index 15
`Qt3DRender::QRenderTargetOutput::Depth` | `16` | Depth attachment point
`Qt3DRender::QRenderTargetOutput::Stencil` | `17` | Stencil attachment point
`Qt3DRender::QRenderTargetOutput::DepthStencil` | `18` | DepthStencil attachment point

## Property Documentation

### attachmentPoint : AttachmentPoint

Holds the attachment point of the QRenderTargetOutput.

Access functions:

AttachmentPoint | attachmentPoint() const
void | setAttachmentPoint(AttachmentPoint attachmentPoint)

Notifier signal:

void | attachmentPointChanged(AttachmentPoint attachmentPoint)

### face : Qt3DRender::QAbstractTexture::CubeMapFace

Holds the face of the attached cubemap texture the rendering is directed to.

Access functions:

QAbstractTexture::CubeMapFace | face() const
void | setFace(QAbstractTexture::CubeMapFace face)

Notifier signal:

void | faceChanged(QAbstractTexture::CubeMapFace face)

### layer : int

Holds the layer of the attached texture the rendering is directed to.

Access functions:

int | layer() const
void | setLayer(int layer)

Notifier signal:

void | layerChanged(int layer)

### mipLevel : int

Holds the miplevel of the attached texture the rendering is directed to.

Access functions:

int | mipLevel() const
void | setMipLevel(int level)

Notifier signal:

void | mipLevelChanged(int mipLevel)

### texture : QAbstractTexture *

Holds the texture attached to the attachment point.

Access functions:

QAbstractTexture * | texture() const
void | setTexture(QAbstractTexture *texture)

Notifier signal:

void | textureChanged(QAbstractTexture *texture)

## Member Function Documentation

### QRenderTargetOutput::QRenderTargetOutput(Qt3DCore::QNode *parent = nullptr)

Default constructs an instance of QRenderTargetOutput.

### `[protected]` QRenderTargetOutput::QRenderTargetOutput(QRenderTargetOutputPrivate &dd, Qt3DCore::QNode *parent = nullptr)

Copy constructor.